Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.InsertHTMLTextAction

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.text.TextAction
                  |
                  +--javax.swing.text.StyledEditorKit.StyledTextAction
                        |
                        +--javax.swing.text.html.HTMLEditorKit.HTMLTextAction
                              |
                              +--javax.swing.text.html.HTMLEditorKit.InsertHTMLTextAction

public static class HTMLEditorKit.InsertHTMLTextAction
extends HTMLEditorKit.HTMLTextAction

InsertHTMLTextAction can be used to insert an arbitrary string of HTML into an existing HTML document. At least two HTML.Tags need to be supplied. The first Tag, parentTag, identifies the parent in the document to add the elements to. The second tag, addTag, identifies the first tag that should be added to the document as seen in the HTML string. One important thing to remember, is that the parser is going to generate all the appropriate tags, even if they aren't in the HTML string passed in.

For example, lets say you wanted to create an action to insert a table into the body. The parentTag would be HTML.Tag.BODY, addTag would be HTML.Tag.TABLE, and the string could be something like <table><tr><td></td></tr></table>.

There is also an option to supply an alternate parentTag and addTag. These will be checked for if there is no parentTag at offset.

See Also:
  Serialized Form

Field Summary
`protected HTML.Tag` | `addTag` Tag in HTML to start adding tags from.
`protected HTML.Tag` | `alternateAddTag` Alternate tag in HTML to start adding tags from if parentTag is not found and alternateParentTag is found.
`protected HTML.Tag` | `alternateParentTag` Alternate Tag to check for in the document if parentTag is not found.
`protected java.lang.String` | `html` HTML to insert.
`protected HTML.Tag` | `parentTag` Tag to check for in the document.

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Constructor Summary
`HTMLEditorKit.InsertHTMLTextAction(java.lang.String name, java.lang.String html, HTML.Tag parentTag, HTML.Tag addTag)`
`HTMLEditorKit.InsertHTMLTextAction(java.lang.String name, java.lang.String html, HTML.Tag parentTag, HTML.Tag addTag, HTML.Tag alternateParentTag, HTML.Tag alternateAddTag)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Inserts the html into the document.
`protected void` | `insertAtBoundry(JEditorPane editor, HTMLDocument doc, int offset, Element insertElement, java.lang.String html, HTML.Tag parentTag, HTML.Tag addTag)` This is invoked when inserting at a boundry.
`protected void` | `insertHTML(JEditorPane editor, HTMLDocument doc, int offset, java.lang.String html, int popDepth, int pushDepth, HTML.Tag addTag)` A cover for HTMLEditorKit.insertHTML.

Methods inherited from class javax.swing.text.html.HTMLEditorKit.HTMLTextAction
`elementCountToTag, findElementMatchingTag, getElementsAt, getHTMLDocument, getHTMLEditorKit`

Methods inherited from class javax.swing.text.StyledEditorKit.StyledTextAction
`getEditor, getStyledDocument, getStyledEditorKit, setCharacterAttributes, setParagraphAttributes`

Methods inherited from class javax.swing.text.TextAction
`augmentList, getFocusedComponent, getTextComponent`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### html

    protected java.lang.String html

  HTML to insert.

### parentTag

    protected HTML.Tag parentTag

  Tag to check for in the document.

### addTag

    protected HTML.Tag addTag

  Tag in HTML to start adding tags from.

### alternateParentTag

    protected HTML.Tag alternateParentTag

  Alternate Tag to check for in the document if parentTag is not found.

### alternateAddTag

    protected HTML.Tag alternateAddTag

  Alternate tag in HTML to start adding tags from if parentTag is not found and alternateParentTag is found.

Constructor Detail

### HTMLEditorKit.InsertHTMLTextAction

    public HTMLEditorKit.InsertHTMLTextAction(java.lang.String name,
                                              java.lang.String html,
                                              HTML.Tag parentTag,
                                              HTML.Tag addTag)

### HTMLEditorKit.InsertHTMLTextAction

    public HTMLEditorKit.InsertHTMLTextAction(java.lang.String name,
                                              java.lang.String html,
                                              HTML.Tag parentTag,
                                              HTML.Tag addTag,
                                              HTML.Tag alternateParentTag,
                                              HTML.Tag alternateAddTag)

Method Detail

### insertHTML

    protected void insertHTML(JEditorPane editor,
                              HTMLDocument doc,
                              int offset,
                              java.lang.String html,
                              int popDepth,
                              int pushDepth,
                              HTML.Tag addTag)

  A cover for HTMLEditorKit.insertHTML. If an exception it thrown it is wrapped in a RuntimeException and thrown.

### insertAtBoundry

    protected void insertAtBoundry(JEditorPane editor,
                                   HTMLDocument doc,
                                   int offset,
                                   Element insertElement,
                                   java.lang.String html,
                                   HTML.Tag parentTag,
                                   HTML.Tag addTag)

  This is invoked when inserting at a boundry. It determines the number of pops, and then the number of pushes that need to be performed, and then invokes insertHTML.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Inserts the html into the document.
  Parameters:
    `e` - the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.